### Method

# Gtk Svg set_frame_clock

since: 4.22

#### Declaration [src]

    void
    gtk_svg_set_frame_clock (
      GtkSvg* self,
      GdkFrameClock* clock
    )

#### Description [src]

Sets a frame clock.

Without a frame clock, GtkSvg will not advance animations.

Available since: 4.22

#### Parameters

`clock`

  Type: `GdkFrameClock`

  The frame clock.

  The data is owned by the caller of the method.